> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update aggregate

> Update an existing aggregate by its ID.



## OpenAPI

````yaml /openAPI/openapi-20240301.json patch /aggregates/{aggregate_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /aggregates/{aggregate_id}:
    patch:
      tags:
        - Billable Metrics
      summary: Update aggregate
      description: Update an existing aggregate by its ID.
      operationId: Update-aggregate
      parameters:
        - name: aggregate_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Aggregate Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAggregateRequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateAggregateRequestSchema:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: name of the aggregate
        dataschema:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataschema
          description: data schema of aggregate
        aggregation_query:
          anyOf:
            - type: string
            - type: 'null'
          title: Aggregation Query
          description: aggregate query
        cust_agg_query:
          anyOf:
            - type: string
            - type: 'null'
          title: Cust Agg Query
          description: customer aggregate query
        visual_query_builder:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Visual Query Builder
          description: visual query builder
        datasource:
          anyOf:
            - type: string
            - type: 'null'
          title: Datasource
          description: data source uuid
      type: object
      title: UpdateAggregateRequestSchema
      description: Create Aggregate Request Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````